Cost Types
Alle Operationen rund um Cost Types.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Cost Type | cost_type |
8 | — | cost_type_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/cost_types |
Create cost_type | Create a new cost_type in the active tenant. |
DELETE |
/v1/cost_types/{id} |
Delete cost_type | Soft delete entity. |
GET |
/v1/cost_types/{id} |
Get cost_type by id | Fetch a single cost_type. |
GET |
/v1/cost_types/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/cost_types/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/cost_types/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/cost_types |
List cost_types | List cost_types for the active tenant. |
PATCH |
/v1/cost_types/{id} |
Patch cost_type | JSON Merge Patch update. |
POST |
/v1/cost_types/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/cost_types/{id}/transition |
POST /v1/cost_types/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/cost_types/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/cost_types/{id} |
Replace cost_type | Full replace with optimistic locking. |